Kolejne łaty dla PHP

Deweloperzy języka PHP postanowili pójść za ciosem i po załataniu w ubiegłym tygodniu 5. wersji swojego oprogramowania, poprawili błędy w wersji 4.

W PHP 5 odkryto kilka poważnych błędów, które załatano udostępniając wersję PHP 5.2.1. Obecnie opublikowano edycję 4.4.5, w której naprawiono identyczne usterki. Wśród nich znalazły się błędy przepełnienia bufora, możliwość ominięcia zabezpieczeń safe_mode i open_basedir oraz możliwość przeprowadzenia ataku techniką "format string". Szczegółów luk nie ujawniono a deweloperzy PHP nalegają, by użytkownicy jak najszybciej zainstalowali poprawione wersje oprogramowania.

Źródło: ArcaBit

Realizacja: SIPLEX Studio